﻿namespace Drive.Events.ItOps.Admin.Stations
{
    public class StationEditedEvent
    {
        public int StationId { get; set; }
        public string Code { get; set; } = string.Empty;
        public string Description { get; set; } = string.Empty;
        public bool Active { get; set; }
        public int StationManagerId { get; set; }
        public int? AvailsWarningLevel { get; set; }
        public int? AvailsCriticalLevel { get; set; }
        public int? AutomationFormatId { get; set; }
        public string? ExportPath { get; set; }
        public string? ExportFileNameFormat { get; set; }
        public string? ImportPath { get; set; }
        public string? ImportFileNameFormat { get; set; }
        public int BrandId { get; set; }
        public int BranchId { get; set; }
        public int? DepartmentId { get; set; }
        public bool NonBroadcast { get; set; }
        public string? OverrideBranchCode { get; set; }
        public Guid? NetworkMondayDayClockId { get; set; }
        public Guid? NetworkTuesdayDayClockId { get; set; }
        public Guid? NetworkWednesdayDayClockId { get; set; }
        public Guid? NetworkThursdayDayClockId { get; set; }
        public Guid? NetworkFridayDayClockId { get; set; }
        public Guid? NetworkSaturdayDayClockId { get; set; }
        public Guid? NetworkSundayDayClockId { get; set; }
        public Guid? BreakOutMondayDayClockId { get; set; }
        public Guid? BreakOutTuesdayDayClockId { get; set; }
        public Guid? BreakOutWednesdayDayClockId { get; set; }
        public Guid? BreakOutThursdayDayClockId { get; set; }
        public Guid? BreakOutFridayDayClockId { get; set; }
        public Guid? BreakOutSaturdayDayClockId { get; set; }
        public Guid? BreakOutSundayDayClockId { get; set; }
    }
}