﻿using NodaTime;

namespace Drive.Events.Scheduling.Schedules
{
    public class DayBreakCreatedEvent
    {
        public Guid Id { get; set; }
        public string? Description { get; set; }
        public LocalTime StartTime { get; set; }
        public int Duration { get; set; }
        public int? DurationNetwork { get; set; }
        public int BreakFillOrder { get; set; }
        public bool NonExportable { get; set; }
        public IEnumerable<int> DayBreakTypeIds { get; set; } = Enumerable.Empty<int>();
    }
}
