﻿using Drive.Messages;

namespace Drive.Commands.Scheduling.Schedules
{
    public class CopyClockHoursCommand
    {
        public Guid DayClockId { get; set; }
        public Dictionary<int, IEnumerable<DayBreakData>> DayBreaksByHour { get; set; } = new();
        public Dictionary<int, IEnumerable<AutomationBreakData>> AutomationBreaksByHour { get; set; } = new();
    }
}
