﻿using Drive.Messages;
using NodaTime;

namespace Drive.Events.Scheduling.Schedules
{
    public class ClockCopiedEvent
    {
        public Guid FromClockId { get; set; }
        public Guid ToClockId { get; set; }
        public int CreatedById { get; set; }
        public Instant CreatedAt { get; set; }
        public string Code { get; set; } = string.Empty;
        public string Description { get; set; } = string.Empty;
        public bool NetworkClock { get; set; }
        public int PlacementTolerance { get; set; }
        public IEnumerable<DayBreakData> DayBreaks { get; set; } = Enumerable.Empty<DayBreakData>();
        public IEnumerable<AutomationBreakData> AutomationBreaks { get; set; } = Enumerable.Empty<AutomationBreakData>();
    }
}
