﻿using NodaTime;

namespace Drive.Events.Scheduling.Schedules
{
    public class ClockCreatedEvent :
        ICorrelatedEvent
    {
        public Guid DayClockId { get; set; }
        public int CreatedById { get; set; }
        public Instant CreatedAt { get; set; }
        public string Code { get; set; } = string.Empty;
        public string Description { get; set; } = string.Empty;
        public bool NetworkClock { get; set; }
        public int PlacementTolerance { get; set; }
    }
}