﻿using Drive.Messages;

namespace Drive.Events.Scheduling.Schedules
{
    public class ClockHoursCopiedEvent
    {
        public Guid DayClockId { get; set; }
        public Dictionary<int, IEnumerable<DayBreakData>> DayBreaksByHour { get; set; } = new Dictionary<int, IEnumerable<DayBreakData>>();
        public Dictionary<int, IEnumerable<AutomationBreakData>> AutomationBreaksByHour { get; set; } = new Dictionary<int, IEnumerable<AutomationBreakData>>();
    }
}
